=== debian/changelog ===
assimp (4.1.0~dfsg-3) unstable; urgency=medium

  * More hurd FTBFS fixes.
    Thanks to Aaron M. Ucko <ucko@debian.org> (Closes: #883486)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 21 Dec 2017 21:50:24 +0100

assimp (4.1.0~dfsg-2) unstable; urgency=medium

  * Fixed indentation in pyassimp patch
    * makes the python packages installable!

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 19 Dec 2017 18:12:12 +0100

assimp (4.1.0~dfsg-1) unstable; urgency=medium

  * New upstream version 4.1.0~dfsg

  * Refreshed patches
  * Fixed FTBFS on the Hurd (non-Apple mach) (Closes: #883486)
  * Refreshed d/copyright(_hints)?
  * Bumped standards version to 4.1.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 14 Dec 2017 17:37:29 +0100

assimp (4.0.1~dfsg-1) unstable; urgency=medium

  * Upload to unstable

  * Changed priority to "optional"
  * Removed no-longer-needed lintian-override for d/copyright_hints
  * Bumped standards version to 4.1.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 01 Dec 2017 21:43:31 +0100

assimp (4.0.1~dfsg-1~exp2) experimental; urgency=medium

  * Use DEB_HOST_GNU_TYPE for building docs.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #877134)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 02 Oct 2017 00:05:30 +0200

assimp (4.0.1~dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 4.0.1~dfsg

  * Refreshed patches
    * Dropped patches applied upstream
    * Simplified doxygen patch
    * Fixed spelling errors

  * soname bump: libassimp3v5 -> libassimp4
  * Packaged python3-pyassimp package
  * Cleaned up build-dependencies
  * Updated d/copyright{_hints}
  * Simplified samples-Makefile installation
  * Modernized Vcs-Browser stanza
  * Dropped obsolete lintian-overrides
  * Switched build-system from cdbs to dh
    * Dropped get-orig-source support (use uscan instead)
    * Separate "licensecheck" target
    * Bumped dh compat to 10

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 02 Sep 2017 20:32:11 +0200
