=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3

opts=dversionmangle=s/~dfsg(\.[0-9]*)?$// \
  https://github.com/assimp/assimp/releases .*/v?(\d\S*)\.tar\.gz
